# $Revision: 1.52 $, $Date: 2012/04/11 17:01:48 $
# TODO
# - Requires: /bin/bash /bin/sh /usr/bin/env /usr/bin/perl  ... etc in music plugin, subpackage it?
# - use mv for language codes fix, instead handling specially in find-lang.sh, send to upstream
Summary:	MSN Messenger clone for Linux
Summary(de.UTF-8):	MSN Messenger-Klon für Linux
Summary(fr.UTF-8):	Clône MSN Messenger pour Linux
Summary(pl.UTF-8):	Klon MSN Messengera dla Linuksa
Name:		amsn
Version:	0.98.4
Release:	7
License:	GPL
Group:		Applications/Communications
Source0:	http://downloads.sourceforge.net/amsn/%{name}-%{version}-src.tar.gz
# Source0-md5:	3cf69c4a7773888cea854927c83b9cfb
Source1:	find-lang.sh
Patch0:		%{name}-desktop.patch
Patch1:		%{name}-paths.patch
Patch2:		useV4L2.patch
Patch3:		%{name}-bwidget.patch
Patch4:		ca-certificates.patch
Patch6:		%{name}-disable-autoupdate.patch
Patch7:		%{name}-libpng15.patch
Patch8:		farstream.patch
URL:		http://www.amsn-project.net/
BuildRequires:	autoconf
BuildRequires:	farstream-devel
BuildRequires:	gupnp-igd-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel >= 2:1.4
BuildRequires:	libstdc++-devel
BuildRequires:	libv4l-devel
BuildRequires:	pkgconfig
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.517
BuildRequires:	sed >= 4.0
BuildRequires:	tcl-devel >= 8.4
BuildRequires:	tk-devel >= 8.4
BuildRequires:	which
BuildRequires:	xorg-lib-libICE-devel
BuildRequires:	xorg-lib-libSM-devel
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
# default skin is always needed, as it contains images if extra skin misses something
Requires:	%{name}-skin-default
# IM's convert is needed to display pictures (buddy icons).
Requires:	ImageMagick
Requires:	ca-certificates-update
Requires:	tcl >= 8.5.7
# MSN Protocol 9 won't let you in without SSL anymore.
Requires:	tcl-tls
Requires:	tcllib
Requires:	tk >= 8.4
Requires:	tk-BWidget >= 1.8.0-2
Requires:	xdg-utils
Obsoletes:	amsn-plugin-chameleon
%if 0
# new deps
Requires:	tcl-snack
Requires:	tclsoap
Requires:	tkdnd
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		find_lang 	%{SOURCE1} %{buildroot}

%description
This is Tcl/Tk clone that implements the Microsoft Messenger (MSN) for
Unix, Windows, or Macintosh platforms. It supports file transfers,
groups, and many more features.

%description -l de.UTF-8
amsn ist ein Microsoft Messenger (MSN) Client für UNIX, Windows und
Macintosh, der in Tcl/Tk geschrieben ist. Es unterstützt
Dateiübertragungen, Gruppen uvm.

%description -l fr.UTF-8
amsn est un client Microsoft Messenger (MSN) pour UNIX, Windows et
Macintosh écrit en Tcl/Tk. Il supporte les tranferts de fichiers, les
groupes et beaucoup d'autres possibilités.

%description -l pl.UTF-8
amsn to klient Microsoft Messengera (MSN) dla Uniksów, Windows i
Macintosha napisany w Tcl/Tk. Obsługuje przesyłanie plików, grupy i
wiele więcej możliwości.

%package plugins
Summary:	Plugins for aMSN
Group:		Applications/Networking
URL:		http://amsn.sourceforge.net/plugins.php
Requires:	%{name} = %{version}-%{release}

%description plugins
Extra plugins for amsn to enable drawing Ink, send and receive Nudges,
view the last lines of a recent chat when opening a new one and create
snapshots with your webcam to use as your display picture.

%prep
%setup -q

# undos some source files
find -name '*.tcl' -print0 | xargs -0 sed -i -e 's,\r$,,'

%{__rm} -r utils/BWidget-1.9.0
%{__rm} -r plugins/music/MusicWin
%{__rm} plugins/music/*.scpt
%{__rm} plugins/amsnplus/snapshot

# skins in amsn-skins.spec
%{__rm} -r skins/*

# for webcam to work these paths need to be added because we move libs around
%{__sed} -i 's#\.\./libng/plugins#%{tcl_sitearch}/capture/libng/plugins#' utils/linux/capture/libng/grab-ng.c
%{__sed} -i 's#\.\./libng/contrib-plugins#%{tcl_sitearch}/capture/libng/contrib-plugins#' utils/linux/capture/libng/grab-ng.c

%{__sed} -i 's#mozilla#firefox#' config.tcl
%{__sed} -i 's#my_filemanager open#xdg-open#' config.tcl
%{__sed} -i 's#env(HOME) amsn_received#env(HOME) Desktop#' config.tcl
%{__sed} -i 's# utils/bwidget1.8.0##' Makefile.in

%{__sed} -i 's#set program_dir \[file dirname \[info script\]\]#set program_dir "%{_datadir}/%{name}/"#' amsn amsn-remote amsn-remote-CLI

%{__sed} -i 's#`locate .*`##' configure

%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch6 -p1
%patch7 -p0
%patch8 -p1

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
# NOTE: enable debug allows us to keep debug symbols in -debuginfo package
%configure \
	--enable-debug \
	CFLAGS="%{rpmcflags}"
%{__make} \
	verbose=yes

# build with our flags
#%{__cc} plugins/amsnplus/snapshot.c -o plugins/amsnplus/snapshot %{rpmcflags} %{rpmldflags} `imlib-config --cflags` `imlib-config --libs`

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_iconsdir}/hicolor,%{_pixmapsdir},%{_desktopdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv $RPM_BUILD_ROOT%{_datadir}/%{name}/amsn $RPM_BUILD_ROOT%{_bindir}/amsn
mv $RPM_BUILD_ROOT%{_datadir}/%{name}/amsn-remote $RPM_BUILD_ROOT%{_bindir}/amsn-remote
mv $RPM_BUILD_ROOT%{_datadir}/%{name}/amsn-remote-CLI $RPM_BUILD_ROOT%{_bindir}/amsn-remote-CLI

#install -d $RPM_BUILD_ROOT%{_libdir}/%{name}/plugins/amsnplus
#mv $RPM_BUILD_ROOT{%{_datadir},%{_libdir}}/%{name}/plugins/amsnplus/snapshot

%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/%{name}/utils/base64
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/%{name}/utils/http
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/%{name}/utils/log
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/%{name}/utils/sha1
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/%{name}/utils/snit
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/%{name}/utils/uri
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/%{name}/docs
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/%{name}/{AGREEMENT,FAQ,GNUGPL,INSTALL,remote.help,TODO}
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/%{name}/{CREDITS,HELP,README}
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/%{name}/lang/{*.*,LANG-HOWTO,sortlang}

install -d $RPM_BUILD_ROOT%{tcl_sitearch}
mv $RPM_BUILD_ROOT%{_datadir}/%{name}/utils/linux/* $RPM_BUILD_ROOT%{tcl_sitearch}
rmdir $RPM_BUILD_ROOT%{_datadir}/%{name}/utils/linux
mv $RPM_BUILD_ROOT%{_datadir}/%{name}/utils/TkCximage $RPM_BUILD_ROOT%{tcl_sitearch}
mv $RPM_BUILD_ROOT%{_datadir}/%{name}/utils/webcamsn $RPM_BUILD_ROOT%{tcl_sitearch}
mv $RPM_BUILD_ROOT%{_datadir}/%{name}/utils/tcl_siren $RPM_BUILD_ROOT%{tcl_sitearch}
mv $RPM_BUILD_ROOT%{_datadir}/%{name}/utils/tclISF $RPM_BUILD_ROOT%{tcl_sitearch}
mv $RPM_BUILD_ROOT%{_datadir}/%{name}/utils/gupnp $RPM_BUILD_ROOT%{tcl_sitearch}
mv $RPM_BUILD_ROOT%{_datadir}/%{name}/utils/farsight $RPM_BUILD_ROOT%{tcl_sitearch}
mv $RPM_BUILD_ROOT%{_datadir}/%{name}/utils/asyncresolver $RPM_BUILD_ROOT%{tcl_sitearch}

mv $RPM_BUILD_ROOT{%{_datadir}/%{name},%{_desktopdir}}/%{name}.desktop
mv $RPM_BUILD_ROOT%{_datadir}/%{name}/desktop-icons/* $RPM_BUILD_ROOT%{_iconsdir}/hicolor
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/%{name}/desktop-icons
%{__rm} $RPM_BUILD_ROOT%{_pixmapsdir}/%{name}.png

%{__rm} $RPM_BUILD_ROOT%{_datadir}/%{name}/plugins/amsnplus/{snapshot.c,Makefile}

#%{_datadir}/%{name}/plugins/growl/styles/aMSN.growlStyle/Contents/Resources/default.css
#%{_datadir}/%{name}/plugins/growl/styles/aMSNMac.growlStyle/Contents/Info.plist
#%{_datadir}/%{name}/plugins/address_book/utils/addressbook/pkgIndex.tcl

# docs in docs
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/%{name}/utils/*/test.tcl

%find_lang %{name}

%{__grep} /plugins/ %{name}.lang > %{name}-plugins.lang
sed -i -e '/plugins/d' %{name}.lang

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc FAQ HELP README TODO CREDITS
%attr(755,root,root) %{_bindir}/amsn
%attr(755,root,root) %{_bindir}/amsn-remote
%attr(755,root,root) %{_bindir}/amsn-remote-CLI

%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*.tcl
%{_datadir}/%{name}/hotmlog.htm

# langlist explains the language codes used
%{_datadir}/%{name}/langlist

%dir %{_datadir}/%{name}/plugins
%dir %{_datadir}/%{name}/skins
%{_datadir}/%{name}/utils

%{_iconsdir}/hicolor/*/apps/*.png
%{_desktopdir}/%{name}.desktop

%dir %{tcl_sitearch}/*
%{tcl_sitearch}/*/*.tcl
%attr(755,root,root) %{tcl_sitearch}/*/*.so
%dir %{tcl_sitearch}/capture/libng
%dir %{tcl_sitearch}/capture/libng/plugins
%attr(755,root,root) %{tcl_sitearch}/capture/libng/plugins/*.so

%files plugins -f %{name}-plugins.lang
%defattr(644,root,root,755)
%{_datadir}/%{name}/plugins/DBusStateChanger
%{_datadir}/%{name}/plugins/DualDisplayPicture
%{_datadir}/%{name}/plugins/LilyPondIM
%{_datadir}/%{name}/plugins/Restore
%{_datadir}/%{name}/plugins/SkinColor
%{_datadir}/%{name}/plugins/TeXIM
%{_datadir}/%{name}/plugins/Translate
%{_datadir}/%{name}/plugins/advancedconfigviewer
%{_datadir}/%{name}/plugins/camserv
%{_datadir}/%{name}/plugins/changeit
%{_datadir}/%{name}/plugins/dbusviewer
%{_datadir}/%{name}/plugins/desktop_integration
%{_datadir}/%{name}/plugins/devel
%{_datadir}/%{name}/plugins/emotes
%{_datadir}/%{name}/plugins/gename
%{_datadir}/%{name}/plugins/keepalive
%{_datadir}/%{name}/plugins/movewin
%{_datadir}/%{name}/plugins/notify
%{_datadir}/%{name}/plugins/organize_received
%{_datadir}/%{name}/plugins/sayit
%{_datadir}/%{name}/plugins/userstatus
%{_datadir}/%{name}/plugins/whatis
%{_datadir}/%{name}/plugins/ebuddykiller

# need to list resources manually due autogenerated lang resources
%dir %{_datadir}/%{name}/plugins/ColoredNicks
%{_datadir}/%{name}/plugins/ColoredNicks/*.tcl
%{_datadir}/%{name}/plugins/ColoredNicks/*.xml

%dir %{_datadir}/%{name}/plugins/MSNGameTTT
%{_datadir}/%{name}/plugins/MSNGameTTT/pixmaps
%{_datadir}/%{name}/plugins/MSNGameTTT/*.tcl
%{_datadir}/%{name}/plugins/MSNGameTTT/*.xml

%dir %{_datadir}/%{name}/plugins/SearchContact
%{_datadir}/%{name}/plugins/SearchContact/pixmaps
%{_datadir}/%{name}/plugins/SearchContact/*.tcl
%{_datadir}/%{name}/plugins/SearchContact/*.xml

%dir %{_datadir}/%{name}/plugins/WebcamShooter
%{_datadir}/%{name}/plugins/WebcamShooter/*.tcl
%{_datadir}/%{name}/plugins/WebcamShooter/*.xml

%dir %{_datadir}/%{name}/plugins/Notes
%{_datadir}/%{name}/plugins/Notes/*.tcl
%{_datadir}/%{name}/plugins/Notes/*.xml

%dir %{_datadir}/%{name}/plugins/Nudge
%{_datadir}/%{name}/plugins/Nudge/*.tcl
%{_datadir}/%{name}/plugins/Nudge/*.xml
%{_datadir}/%{name}/plugins/Nudge/*.wav

%dir %{_datadir}/%{name}/plugins/inkdraw
%{_datadir}/%{name}/plugins/inkdraw/pixmaps
%{_datadir}/%{name}/plugins/inkdraw/*.tcl
%{_datadir}/%{name}/plugins/inkdraw/*.xml
%{_datadir}/%{name}/plugins/inkdraw/pencils

%dir %{_datadir}/%{name}/plugins/music
%{_datadir}/%{name}/plugins/music/pixmaps
%{_datadir}/%{name}/plugins/music/*.tcl
%{_datadir}/%{name}/plugins/music/*.xml
%{_datadir}/%{name}/plugins/music/*.txt
%{_datadir}/%{name}/plugins/music/info*

%dir %{_datadir}/%{name}/plugins/remind
%{_datadir}/%{name}/plugins/remind/*.tcl
%{_datadir}/%{name}/plugins/remind/*.xml

%dir %{_datadir}/%{name}/plugins/winks
%{_datadir}/%{name}/plugins/winks/pixmaps
%{_datadir}/%{name}/plugins/winks/*.tcl
%{_datadir}/%{name}/plugins/winks/*.xml
%{_datadir}/%{name}/plugins/winks/*.txt

%dir %{_datadir}/%{name}/plugins/FPSstats
%{_datadir}/%{name}/plugins/FPSstats/README
%{_datadir}/%{name}/plugins/FPSstats/pixmaps
%{_datadir}/%{name}/plugins/FPSstats/*.tcl
%{_datadir}/%{name}/plugins/FPSstats/*.xml

%dir %{_datadir}/%{name}/plugins/Invisibility
%{_datadir}/%{name}/plugins/Invisibility/Changelog
%{_datadir}/%{name}/plugins/Invisibility/*.tcl
%{_datadir}/%{name}/plugins/Invisibility/*.xml

%dir %{_datadir}/%{name}/plugins/Kryptonite
%{_datadir}/%{name}/plugins/Kryptonite/pixmaps
%{_datadir}/%{name}/plugins/Kryptonite/*.tcl
%{_datadir}/%{name}/plugins/Kryptonite/*.xml

%dir %{_datadir}/%{name}/plugins/SendRecents
%{_datadir}/%{name}/plugins/SendRecents/*.tcl
%{_datadir}/%{name}/plugins/SendRecents/*.xml

%dir %{_datadir}/%{name}/plugins/SpellCheck
%{_datadir}/%{name}/plugins/SpellCheck/Changelog.txt
%{_datadir}/%{name}/plugins/SpellCheck/ReadMe.txt
%{_datadir}/%{name}/plugins/SpellCheck/pixmaps
%{_datadir}/%{name}/plugins/SpellCheck/*.tcl
%{_datadir}/%{name}/plugins/SpellCheck/*.xml

%dir %{_datadir}/%{name}/plugins/actionsmenu
%{_datadir}/%{name}/plugins/actionsmenu/pixmaps
%{_datadir}/%{name}/plugins/actionsmenu/*.tcl
%{_datadir}/%{name}/plugins/actionsmenu/*.xml

%dir %{_datadir}/%{name}/plugins/address_book
%{_datadir}/%{name}/plugins/address_book/utils
%{_datadir}/%{name}/plugins/address_book/*.tcl
%{_datadir}/%{name}/plugins/address_book/*.xml

%dir %{_datadir}/%{name}/plugins/amsnplus
%{_datadir}/%{name}/plugins/amsnplus/readme
%{_datadir}/%{name}/plugins/amsnplus/pixmaps
%{_datadir}/%{name}/plugins/amsnplus/*.tcl
%{_datadir}/%{name}/plugins/amsnplus/*.xml

%dir %{_datadir}/%{name}/plugins/bugbuddy
%{_datadir}/%{name}/plugins/bugbuddy/CREDITS
%{_datadir}/%{name}/plugins/bugbuddy/*.tcl
%{_datadir}/%{name}/plugins/bugbuddy/*.xml

%dir %{_datadir}/%{name}/plugins/chameleon
%{_datadir}/%{name}/plugins/chameleon/*.tcl
%{_datadir}/%{name}/plugins/chameleon/*.xml

%dir %{_datadir}/%{name}/plugins/colorize
%{_datadir}/%{name}/plugins/colorize/*.tcl
%{_datadir}/%{name}/plugins/colorize/*.xml

%dir %{_datadir}/%{name}/plugins/countdown
%{_datadir}/%{name}/plugins/countdown/*.tcl
%{_datadir}/%{name}/plugins/countdown/*.xml

%dir %{_datadir}/%{name}/plugins/emoticons_importer
%{_datadir}/%{name}/plugins/emoticons_importer/*.tcl
%{_datadir}/%{name}/plugins/emoticons_importer/*.xml

%dir %{_datadir}/%{name}/plugins/games
%{_datadir}/%{name}/plugins/games/images
%{_datadir}/%{name}/plugins/games/*.tcl
%{_datadir}/%{name}/plugins/games/*.xml
%{_datadir}/%{name}/plugins/games/changelog
%{_datadir}/%{name}/plugins/games/developers.readme
%{_datadir}/%{name}/plugins/games/readme

%dir %{_datadir}/%{name}/plugins/glogs
%{_datadir}/%{name}/plugins/glogs/*.tcl
%{_datadir}/%{name}/plugins/glogs/*.xml

%dir %{_datadir}/%{name}/plugins/gnotify
%{_datadir}/%{name}/plugins/gnotify/pixmaps
%{_datadir}/%{name}/plugins/gnotify/*.tcl
%{_datadir}/%{name}/plugins/gnotify/*.xml

%dir %{_datadir}/%{name}/plugins/growl
%{_datadir}/%{name}/plugins/growl/styles
%{_datadir}/%{name}/plugins/growl/*.tcl
%{_datadir}/%{name}/plugins/growl/*.xml
%{_datadir}/%{name}/plugins/growl/*.png

%dir %{_datadir}/%{name}/plugins/jake
%{_datadir}/%{name}/plugins/jake/README
%{_datadir}/%{name}/plugins/jake/*.tcl
%{_datadir}/%{name}/plugins/jake/*.xml

%dir %{_datadir}/%{name}/plugins/openwith
%{_datadir}/%{name}/plugins/openwith/*.tcl
%{_datadir}/%{name}/plugins/openwith/*.xml

%dir %{_datadir}/%{name}/plugins/pop3
%{_datadir}/%{name}/plugins/pop3/pixmaps
%{_datadir}/%{name}/plugins/pop3/*.tcl
%{_datadir}/%{name}/plugins/pop3/*.xml

%dir %{_datadir}/%{name}/plugins/transparent
%{_datadir}/%{name}/plugins/transparent/*.tcl
%{_datadir}/%{name}/plugins/transparent/*.xml

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: amsn.spec,v $
Revision 1.52  2012/04/11 17:01:48  glen
- farsight to farstream patch from fedora

Revision 1.51  2012/02/13 00:13:03  adamg
- release 6 (rebuild against libpng-1.5)

Revision 1.50  2012/02/12 08:09:19  arekm
- release 5

Revision 1.49  2012/02/07 21:58:03  arekm
- release 4

Revision 1.48  2011/12/20 19:40:16  arekm
- release 3

Revision 1.47  2011/11/18 21:07:42  megabajt
- release 2

Revision 1.46  2011/08/27 12:18:26  glen
- use system ca-certificates

Revision 1.45  2011/08/26 05:00:15  glen
- up to 0.98.4

Revision 1.44  2011/02/04 18:23:34  wiget
- Requires(post,postun): gtk-update-icon-cache

Revision 1.43  2010/03/19 10:28:35  glen
- up to 0.98.3

Revision 1.42  2010/02/28 02:33:20  glen
- disable autoupdate patch from debian

Revision 1.41  2010/02/28 02:17:57  glen
- always load default skin; rel 4

Revision 1.40  2010/02/28 02:09:55  glen
- build skins from amsn-skins.spec; rel 3

Revision 1.39  2010/02/25 23:31:02  glen
- remove infocog.scpt as well

Revision 1.38  2010/02/25 23:27:25  glen
- display_and_send.scpt is macosx only (AppleScript script file)

Revision 1.37  2010/02/25 23:19:24  glen
- BR gupnp-igd-devel, use system http, move gupnp to libdir

Revision 1.36  2010/02/25 22:54:55  glen
- add -no-exact-http.patch, -songbird-exception.patch from fc; update deps

Revision 1.35  2010/02/25 21:54:29  glen
- move utils to tcl_sitearch (fc merge)
- BR libv4l-devel, farsight2-devel

Revision 1.34  2010/02/25 21:42:31  glen
- fix packaging of lang of plugins

Revision 1.33  2010/02/25 21:23:44  glen
- handle languages via find-lang.sh
- drop epoch 0

Revision 1.32  2010/02/06 21:58:48  sparky
- BR: libpng-devel >= 2:1.4 because of libpng patch

Revision 1.31  2010/02/06 20:57:30  arekm
- release 2

Revision 1.30  2010/02/02 22:22:45  sparky
- BR: libjpeg-devel, libstdc++-devel, pkgconfig, rpm-pythonprov, which, xorg-lib-libICE-devel, xorg-lib-libSM-devel
- dropped BR: libtiff-devel
- kill unneded slocate dependency

Revision 1.29  2010/02/02 21:41:28  duddits
- up to 0.98.1
- tkcximage.patch obsoleted
- libpng.patch (stolen from ArchLinux)
- desktop.patch updated
- bwidget.patch
- some new langs

Revision 1.28  2009/09/02 11:31:39  glen
- use tk-BWidget (tcl-bwidget was merged into it); rel 4

Revision 1.27  2009/07/12 13:17:33  arekm
- release 3

Revision 1.26  2009/06/09 05:15:56  glen
- release 2

Revision 1.25  2009/06/08 22:18:04  glen
- GNUGPL is standard license

Revision 1.24  2009/06/08 22:12:54  glen
- verbose build, keep debug symbols for -debuginfo

Revision 1.23  2009/05/11 19:04:54  glen
- fix amsn-remote* programs

Revision 1.22  2009/05/11 18:58:37  glen
- use system tcl macros
- works here; rel 1

Revision 1.21  2009/05/11 18:11:41  glen
- updated to 0.97.2
- language codes for translations
- plugins moved to subpackage
- tcl arch dependant modules moved to archdir
- amsn moved to datadir
- needs tcl >= 8.5.7 or -http.patch
- use system tcl-bwidget, tcllib

Revision 1.20  2009/04/24 12:27:32  glen
- cleanups, executable bits for shared libs; rel 1

Revision 1.19  2008/10/26 07:58:17  duddits
- up to 0.97 (by Darek Moszkowicz)
- libng_plugin_init.patch obsoleted
- BR/R updated
- should work fine now

Revision 1.18  2007/04/04 11:36:31  glen
- more todo, rel down

Revision 1.17  2007/04/04 11:33:55  glen
- more

Revision 1.16  2007/04/04 11:30:32  glen
- kill precompiled elf32 library

Revision 1.15  2007/03/05 22:10:31  jack
- updated to 0.96

Revision 1.14  2007/02/12 21:23:46  glen
- tabs in preamble

Revision 1.13  2007/02/12 00:48:36  baggins
- converted to UTF-8

Revision 1.12  2006/10/29 20:15:09  glen
- missing dir; rel 2

Revision 1.11  2006/10/15 18:53:33  glen
- amd64 fix

Revision 1.10  2006/10/15 18:48:39  glen
- adapter, check files cleanup

Revision 1.9  2006/06/06 22:10:53  radek
- version 0.95
- removed -lang_codes.patch (pointless)
- some FHS fixes (could use more work + patching)

Revision 1.8  2005/05/17 06:40:46  ankry
- desktop fixed (desktop patch), use iso language codes (lang_codes patch), rel. 3

Revision 1.7  2005/05/01 18:02:05  glen
- %description url unification
  find -name '*.spec' | xargs -l1024 sed -i -e 's#\(http://.\+/\) \.#<\1>.#g'

Revision 1.6  2004/12/06 21:47:11  ankry
- added DESTDIR patch, rel. 2

Revision 1.5  2004/12/06 16:37:25  glen
- rel 1; STBR

Revision 1.4  2004/12/05 01:32:52  glen
- remove more junk
- modify desktop file in %prep (so could work with --short-circuit)

Revision 1.3  2004/12/04 14:37:41  qboosh
- pl, some cleanups

Revision 1.2  2004/12/04 00:19:13  glen
- noarch when built without imlib

Revision 1.1  2004/12/04 00:09:41  glen
- initial for PLD
